# XQilla Simple API Documentation

# DebugListener Class Reference

A class used to listen for debugging information. More...

`#include <DebugListener.hpp>`

Inheritance diagram for DebugListener:
[legend]

List of all members.

## Public Member Functions

virtual | ~DebugListener ()
virtual void | start (const StackFrame *stack, const DynamicContext *context)
virtual void | end (const StackFrame *stack, const DynamicContext *context)
virtual void | enter (const StackFrame *stack, const DynamicContext *context)
virtual void | exit (const StackFrame *stack, const DynamicContext *context)
virtual void | error (const XQException &error, const StackFrame *stack, const DynamicContext *context)
virtual bool | doLazyEvaluation () const
virtual bool | doFocusOptimizations () const

## Detailed Description

A class used to listen for debugging information.

## Constructor & Destructor Documentation

virtual DebugListener::~DebugListener | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool DebugListener::doFocusOptimizations | ( |  | ) | const`[inline, virtual]`

virtual bool DebugListener::doLazyEvaluation | ( |  | ) | const`[inline, virtual]`

virtual void DebugListener::end | ( | const StackFrame * | stack,
|  | const DynamicContext * | context |
| ) |  |  | `[inline, virtual]`

virtual void DebugListener::enter | ( | const StackFrame * | stack,
|  | const DynamicContext * | context |
| ) |  |  | `[inline, virtual]`

virtual void DebugListener::error | ( | const XQException & | error,
|  | const StackFrame * | stack,
|  | const DynamicContext * | context |
| ) |  |  | `[inline, virtual]`

virtual void DebugListener::exit | ( | const StackFrame * | stack,
|  | const DynamicContext * | context |
| ) |  |  | `[inline, virtual]`

virtual void DebugListener::start | ( | const StackFrame * | stack,
|  | const DynamicContext * | context |
| ) |  |  | `[inline, virtual]`

The documentation for this class was generated from the following file:

- DebugListener.hpp